Bug 1282600 - Improving rpc.gssd's debugging
Summary: Improving rpc.gssd's debugging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1282604
TreeView+ depends on / blocked
 
Reported: 2015-11-16 20:50 UTC by Steve Dickson
Modified: 2015-12-31 01:51 UTC (History)
4 users (show)

Fixed In Version: nfs-utils-1.3.3-4.rc1.fc23 nfs-utils-1.3.3-4.rc1.fc22 nfs-utils-1.3.3-5.rc2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1282604 (view as bug list)
Environment:
Last Closed: 2015-12-31 01:51:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Steve Dickson 2015-11-16 20:50:45 UTC
Description of problem:

Now that rpc.gssd is the critical path of every
NFS mount, any favored mount, I thought I would
take a crack at making the daemon a bit more 
debuggable by making the logging more readable.

The first level of debugging (-v) will only log 
errors and warnings that are not normally logged.
I'm thinking this might be a good level to run
at a customer's site.

I also thought about changing the majority of the 
printerr(0) which always log to printerr(1)s. I 
decided not to since I figured more info is 
better.

Note, I didn't remove any of the messages, I just pushed
them back to other debug levels. 

I trimmed down the second level of debugging (-vv) 
by again moving them back to other levels. 

The third level (-vvv) is basically the same.

Using the fourth level (-vvvv) to enable all the logging
that old level three did.

Comment 1 Steve Dickson 2015-11-16 20:52:18 UTC
Needed upstream commits:

commit 217a0ef3126ceb1126e3492e7b35cbb5596e13f6
Author: Steve Dickson <steved@redhat.com>
Date:   Sat Nov 7 12:51:37 2015 -0500

    gssd: reworked second level of debugging

commit 210a728b1ce99a6e59ed0d994eabc8ea90158729
Author: Steve Dickson <steved@redhat.com>
Date:   Sat Nov 7 11:31:40 2015 -0500

    gssd: log all fatal errors

commit 4eb495c8eeb2dd3183b4dbc0a238c8e0e76e9237
Author: Steve Dickson <steved@redhat.com>
Date:   Sat Nov 7 11:24:30 2015 -0500

    gssd: reworked first level of debugging

Comment 2 Steve Dickson 2015-11-16 21:12:04 UTC
(In reply to Steve Dickson from comment #1)
> Needed upstream commits:
These are the real commits ids:

commit be40202f194877306c19929479114b90a08363c1
Author: Steve Dickson <steved@redhat.com>
Date:   Sat Nov 7 12:51:37 2015 -0500

    gssd: reworked second level of debugging


commit f1172857775d7be47b9ffb51825001cf39e23e70
Author: Steve Dickson <steved@redhat.com>
Date:   Sat Nov 7 11:31:40 2015 -0500

    gssd: log all fatal errors
    
    When gssd exist ensure a error message is logged.
    
    Signed-off-by: Steve Dickson <steved@redhat.com>

commit 329d4685ace7659a50517cc2f4d8c926d6aec500
Author: Steve Dickson <steved@redhat.com>
Date:   Sat Nov 7 11:24:30 2015 -0500

    gssd: reworked first level of debugging

Comment 3 Fedora Update System 2015-11-16 21:44:33 UTC
nfs-utils-1.3.3-3.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1ae8876633

Comment 4 Fedora Update System 2015-11-16 21:44:34 UTC
nfs-utils-1.3.3-3.rc1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-66d93a178b

Comment 5 Fedora Update System 2015-11-17 20:01:23 UTC
nfs-utils-1.3.3-4.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-66b96dbd3f

Comment 6 Fedora Update System 2015-11-18 16:51:47 UTC
nfs-utils-1.3.3-3.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nfs-utils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1ae8876633

Comment 7 Fedora Update System 2015-11-19 00:22:37 UTC
nfs-utils-1.3.3-3.rc1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nfs-utils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-66d93a178b

Comment 8 Fedora Update System 2015-11-19 14:52:28 UTC
nfs-utils-1.3.3-4.rc1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nfs-utils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8d3d8ebc26

Comment 9 Fedora Update System 2015-11-19 15:27:32 UTC
nfs-utils-1.3.3-4.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nfs-utils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-66b96dbd3f

Comment 10 Fedora Update System 2015-11-19 16:56:04 UTC
nfs-utils-1.3.3-4.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nfs-utils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-66b96dbd3f

Comment 11 Fedora Update System 2015-11-30 21:22:06 UTC
nfs-utils-1.3.3-4.rc1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-12-13 09:52:07 UTC
nfs-utils-1.3.3-4.rc1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-12-14 17:09:48 UTC
nfs-utils-1.3.3-5.rc2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-723ec1b17d

Comment 14 Fedora Update System 2015-12-22 15:36:47 UTC
nfs-utils-1.3.3-5.rc2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-723ec1b17d

Comment 15 Fedora Update System 2015-12-31 01:50:56 UTC
nfs-utils-1.3.3-5.rc2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.